<?php
/**
 * A general CityTask class
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2015 City Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
class BaseCityTask extends BaseTask {
	/**
	 * An instance of a city
	 */
	private $cityInstance = NULL;

	/**
	 * Protected constructor
	 *
	 * @param	$className	Name of the class
	 * @return	void
	 */
	protected function __construct ($className) {
		// Call parent constructor
		parent::__construct($className);
	}

	/**
	 * Getter for city instance
	 *
	 * @return	$cityInstance	An instance of a city city
	 */
	public final function getCityInstance () {
		return $this->cityInstance;
	}

	/**
	 * Setter for city instance
	 *
	 * @param	$cityInstance	An instance of a city city
	 * @return	void
	 */
	protected final function setCityInstance (CityHelper $cityInstance) {
		$this->cityInstance = $cityInstance;
	}
}

// [EOF]
?>
